# Uses of Class
org.apache.sling.feature.Extension

Packages that use Extension
Package
Description
org.apache.sling.feature
org.apache.sling.feature.builder

## Uses of Extension in org.apache.sling.feature

Methods in org.apache.sling.feature that return Extension
Modifier and Type
Method
Description
`Extension`
Extension.`copy()`
Create a copy of the Extension
`Extension`
Extensions.`getByName(String name)`
Get an extension by name
Methods in org.apache.sling.feature with parameters of type Extension
Modifier and Type
Method
Description
`static ExecutionEnvironmentExtension`
ExecutionEnvironmentExtension.`getExecutionEnvironmentExtension(Extension ext)`
Get the execution environment from the extension.

## Uses of Extension in org.apache.sling.feature.builder

Methods in org.apache.sling.feature.builder with parameters of type Extension
Modifier and Type
Method
Description
`boolean`
MergeHandler.`canMerge(Extension extension)`
Checks whether this merger can merge the given extension.
`void`
MergeHandler.`merge(HandlerContext context, Feature target, Feature source, Extension targetEx, Extension sourceEx)`
Merge the source extension into the target extension.
`void`
PostProcessHandler.`postProcess(HandlerContext context, Feature feature, Extension extension)`
Post process the feature with respect to the extension.